Subject: Strange pine behavior

From: [email-masked] (Some Guy)
Date: Sat, 14 Oct 1995 16:42:17 GMT

I'm getting some strange behavior from pine and was wondering if 
anyone had a clue as to why.  This may be more of a unix thing than a pine 
thing, but here it goes anyway.

	I have this snippet of code in my .profile:
(This is running on a SparcServer 1000 w/ Solaris 2.2, charget is a small 
executable that gets a single character from stdin and echoes it to stdout)

if [[ -s /usr/mail/$LOGNAME ]]; then
        print
        from
        print
        print "Read mail now?"
        if [[ $(charget) = y ]] ; then
                pine -i
        fi
fi

	The wierd behavior is that if I suspend pine when this code runs it, I 
end up nowhere (ie no shell).  There is nothing I can do from that point but 
kill the telnet session, then log back in and kill the process (it locks my 
mail folder).  When I kill the process it goes <defunct> and stays there.
	If I suspend pine after running it from the command line, everything 
is fine, I end up in ksh.  Why is this happening, and is there anything I can 
do to make pine suspendable from the .profile startup.  I tried putting 'ksh 
pine -i' in place of 'pine -i', but then it wouldn't run at all.

TIA